> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/live-odds-for-electronic/live-odds-esoccer/esoccer-lo-amqp-messages.md).

# eSoccer LO AMQP messages

**Odds change messages**\
\
General information for odds changes messages can be found [here](/uof/data-and-features/messages/event/odds-change.md).<br>

The <[sport\_event\_status](/uof/data-and-features/messages/event/odds-change/sport-event-status.md)> element in general is designed to be very flexible to fit the demands of various sports:\
\
In the XSD the following attributes are specified as optional within the sport event status, but are used for eSoccer:

* home\_score
* away\_score

In the XSD the following elements are specified as minOccurs="0" within the sport event status, but are used for eSoccer:

* \<clock>
* \<period\_scores>
* \<statistics>

Additional information regarding the those attributes and elements can be found [here](/uof/data-and-features/messages/event/odds-change/sport-event-status.md).\ <br>

**Further message types which are supported in eSoccer:**

* [fixture\_change](/uof/introduction/key-concepts/fixture-changes.md)
* [bet\_settlement](/uof/data-and-features/messages/event/bet-settlement.md)
* [rollback\_bet\_settlement](/uof/data-and-features/messages/event/rollback-bet-settlements.md)
* [bet\_cancel](/uof/data-and-features/messages/event/bet-cancel.md)
* [rollback\_bet\_cancel](/uof/data-and-features/messages/event/rollback-bet-cancel.md)

\
Example odds\_change message for eSoccer:

```xml
<odds_change product="1" event_id="sr:match:24718542" timestamp="1606912364199">
  <sport_event_status status="1" reporting="1" match_status="7" home_score="1" away_score="1">
    <clock match_time="7:28"/>
    <period_scores>
      <period_score match_status_code="6" number="1" home_score="0" away_score="1"/>
      <period_score match_status_code="7" number="2" home_score="1" away_score="0"/>
    </period_scores>
    <statistics>
      <yellow_cards home="0" away="0"/>
      <red_cards home="0" away="0"/>
      <yellow_red_cards home="0" away="0"/>
      <corners home="0" away="0"/>
    </statistics>
  </sport_event_status>
  <odds>
    <market favourite="1" status="1" id="10">
      <outcome id="9" odds="1.08" probabilities="0.861484958" active="1"/>
      <outcome id="10" odds="2.95" probabilities="0.2804347119" active="1"/>
      <outcome id="11" odds="1.08" probabilities="0.85808033" active="1"/>
    </market>
    <market status="0" id="16" specifiers="hcp=-0.25" extended_specifiers="hcp_for_the_rest=-0.25"/>
    <market favourite="1" status="1" id="13">
      <outcome id="780" odds="4.65" probabilities="0.164738419" active="1"/>
      <outcome id="782" odds="1.14" probabilities="0.835261581" active="1"/>
    </market>
    <market favourite="1" status="1" id="7" specifiers="score=1:1">
      <outcome id="1" odds="5.8" probabilities="0.14191967" active="1"/>
      <outcome id="2" odds="1.32" probabilities="0.7195652881" active="1"/>
      <outcome id="3" odds="6.0" probabilities="0.138515042" active="1"/>
    </market>
    <market status="0" id="14" specifiers="hcp=1:0"/>
    <market favourite="1" status="1" id="11">
      <outcome id="4" odds="1.8" probabilities="0.5060702685" active="1"/>
      <outcome id="5" odds="1.85" probabilities="0.4939297315" active="1"/>
    </market>
    <market favourite="1" status="1" id="880">
      <outcome id="74" odds="5.2" probabilities="0.14191967" active="1"/>
      <outcome id="76" odds="1.12" probabilities="0.85808033" active="1"/>
    </market>
    <market favourite="1" status="1" id="879">
      <outcome id="74" odds="5.3" probabilities="0.138515042" active="1"/>
      <outcome id="76" odds="1.12" probabilities="0.861484958" active="1"/>
    </market>
    <market favourite="1" status="1" id="26">
      <outcome id="70" odds="3.25" probabilities="0.2625512066" active="1"/>
      <outcome id="72" odds="1.27" probabilities="0.7374487934" active="1"/>
    </market>
    <market favourite="1" status="1" id="12">
      <outcome id="776" odds="1.14" probabilities="0.8385756704" active="1"/>
      <outcome id="778" odds="4.75" probabilities="0.1614243296" active="1"/>
    </market>
    <market status="0" id="14" specifiers="hcp=0:2"/>
    <market favourite="1" status="1" id="14" specifiers="hcp=0:1">
      <outcome id="1711" odds="70.0" probabilities="0.0094791556" active="1"/>
      <outcome id="1712" odds="5.4" probabilities="0.1324405143" active="1"/>
      <outcome id="1713" odds="1.12" probabilities="0.85808033" active="1"/>
    </market>
    <market status="0" id="16" specifiers="hcp=0.25" extended_specifiers="hcp_for_the_rest=0.25"/>
    <market favourite="1" status="1" id="1">
      <outcome id="1" odds="5.8" probabilities="0.14191967" active="1"/>
      <outcome id="2" odds="1.32" probabilities="0.7195652881" active="1"/>
      <outcome id="3" odds="6.0" probabilities="0.138515042" active="1"/>
    </market>
    <market favourite="1" status="1" id="16" specifiers="hcp=0" extended_specifiers="hcp_for_the_rest=0">
      <outcome id="1714" odds="1.8" probabilities="0.5060702685" active="1"/>
      <outcome id="1715" odds="1.85" probabilities="0.4939297315" active="1"/>
    </market>
    <market favourite="1" status="1" id="881">
      <outcome id="74" odds="3.05" probabilities="0.2804347119" active="1"/>
      <outcome id="76" odds="1.32" probabilities="0.7195652881" active="1"/>
    </market>
  </odds>
</odds_change>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/uof/live-odds-for-electronic/live-odds-esoccer/esoccer-lo-amqp-messages.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
